EDIT - feature request #6113

webservice to expose FieldUnits related to a Taxon or TaxonName as KML and/or GML
09/29/2016 11:01 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.15

Severity: normal

Description

KML 2.2 : https://portal.ogc.org/files/?artifact_id=27810

potentially helpful libraries:

e https://github.com/micromata/javaapiforkml ***

e https://github.com/highsource/ogc-schemas - provides JAXB bindings for XML Schemas defined by the Open Geospatial
Consortium (OGC).

e http://docs.geotools.org/stable/javadocs/index.html?org/geotools/kml/package-tree.html - parser only?

TODO:

e de-duplicate Fieldunits (The same field unit can be shared by multiple Derived Units or Determinations) the map should show
only one point in this case. DONE
e web services to implement:
o kml/typeDesignations/{uuid-listt DONE
o kml/specimensOrOccurences/{uuid-list} DONE

o kmile-should-speeify-the beunds-ofthefeatures it is not possible to define the zoom bounds in kml, therefore this is
replaced by #4257

Related issues:

Related to EDIT - feature request #7952: Registration page Maps display in Ph... Rejected
Related to EDIT - feature request #4257: specimen map should zoom to area of ... Closed
Related to EDIT - feature request #8855: Show error radius in EDIT portal Closed
Related to EDIT - feature request #2684 : Allow custom setting for style, colo... New
Related to EDIT - feature request #3697: Distinguish display of fossil and "n... New
Related to EDIT - feature request #8972: integrate kml layers into map viewer Closed
Related to EDIT - task #8985: Enable the general controller for OPTIONS requests New
Related to EDIT - bug #9099: placemark icon in kml map not clickable Closed
Blocks EDIT - feature request #4488: Specimen data points in map should show ... Closed

Associated revisions

Revision 4a186e0a - 04/02/2020 04:14 PM - Andreas Kohlbecker
ref #6113 adding dependency to KML types

Revision c¢795a3a1 - 04/22/2020 05:06 PM - Andreas Kohlbecker

ref #6113 dependencies for gis and kml functionality

Revision 5f5cfe6a - 04/22/2020 05:06 PM - Andreas Kohlbecker
ref #6113 producing more complete kml for DerivedUnits & general controller for HTTP OPTIONS requests

Revision ad6c5f7d - 04/23/2020 04:03 PM - Andreas Miiller
ref #6113 OSGeo Repository to CDM Server

Revision 3ec52172 - 04/23/2020 04:21 PM - Andreas Miiller
ref #6113 add OSGeo Repository to vaadin
Revision 3c12d463 - 04/23/2020 04:32 PM - Andreas Miiller
ref #6113 add OSGeo Repository to cdm-webapp

Revision 6a4d8b86 - 04/23/2020 04:50 PM - Andreas Miiller

ref #6113 temporarily remove kmIMarshaller

Revision d591d6d8 - 04/23/2020 05:03 PM - Andreas Miiller

ref #6113 temporarily remove kmIMarshaller

Revision 533b841a - 04/23/2020 06:08 PM - Andreas Miiller

ref #6113 exclude old jaxb version dependencies from JavaAPIforkKml

Revision dfe8c2de - 04/28/2020 10:28 AM - Andreas Kohlbecker
ref #6113, ref #4488 de-duplicating field units

Revision 98fe0c12 - 04/28/2020 05:10 PM - Andreas Kohlbecker
ref #6113 fxing NPE

Revision 30ae270f - 04/28/2020 05:40 PM - Andreas Kohlbecker
ref #6113 tempororily disabling the OptionsController

Revision fcdb23af - 04/29/2020 09:36 AM - Andreas Kohlbecker

ref #6113, ref #8985 adding replacement OPTIONS service only for the KML controller

Revision a0880292 - 04/29/2020 01:52 PM - Andreas Kohlbecker

ref #6113 more kml web services and a missing name service method

Revision ¢83d415f - 05/06/2020 09:31 AM - Andreas Kohlbecker

ref #6113 improving unit title in occurrences KML

History

#1 - 09/29/2016 11:02 AM - Andreas Kohlbecker
- Parent task set to #4488

#2 - 10/05/2016 11:09 AM - Andreas Miiller
- Category set to Import

- Assignee set to Andreas Kohlbecker

#3 - 07/18/2018 09:45 PM - Andreas Kohlbecker

- Target version changed from Unassigned CDM tickets to Release 5.2

#4 - 07/18/2018 09:59 PM - Andreas Kohlbecker

- Description updated

#5 - 07/18/2018 09:59 PM - Andreas Kohlbecker

- Description updated

#6 - 07/18/2018 10:01 PM - Andreas Kohlbecker

- Tags set to map

#7 - 08/17/2018 03:54 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3

#8 - 09/06/2018 11:15 AM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4
#10 - 10/23/2018 01:04 PM - Andreas Kohlbecker

- Target version changed from Release 5.4 to Release 5.5

#11 - 12/13/2018 10:28 AM - Andreas Kohlbecker
- Related to feature request #7952: Registration page Maps display in PhycoBank portal added

#12 - 01/30/2019 11:30 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#13 - 02/19/2019 05:26 PM - Andreas Kohlbecker

- Related to feature request #4257: specimen map should zoom to area of distribution added

#14 - 02/22/2019 05:25 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Unassigned CDM tickets

#15 - 07/05/2019 12:29 AM - Andreas Kohlbecker

- Subject changed from webserivce to expose FieldUnits related to a Taxon as KML and/or GML to webserivce to expose FieldUnits related to a
Taxon TaxonName as KML and/or GML

#16 - 07/05/2019 12:38 AM - Andreas Kohlbecker

- Description updated

#17 - 02/24/2020 12:16 PM - Andreas Kohlbecker
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.14

#18 - 02/24/2020 01:41 PM - Andreas Kohlbecker
- Related to feature request #8855: Show error radius in EDIT portal added

#19 - 04/06/2020 01:29 PM - Andreas Kohlbecker

- Category changed from cdm-dataportal to cdmlib-remote

#20 - 04/06/2020 03:50 PM - Andreas Kohlbecker

- Related to feature request #2684: Allow custom setting for style, color and size for occurrence map symbols added

#21 - 04/08/2020 09:01 AM - Andreas Kohlbecker

- Related to feature request #3697: Distinguish display of fossil and "normal” occurrence records in specimen map added

#22 - 04/08/2020 04:13 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#23 - 04/22/2020 05:09 PM - Andreas Kohlbecker

- Related to feature request #8972: integrate kml layers into map viewer added

#24 - 04/22/2020 05:16 PM - Andreas Kohlbecker
- Parent task deleted (#4488)

#25 - 04/22/2020 05:16 PM - Andreas Kohlbecker

- Blocks feature request #4488: Specimen data points in map should show FieldUnit information added

#26 - 04/22/2020 05:39 PM - Andreas Kohlbecker
- % Done changed from 0 to 30

#27 - 04/22/2020 05:40 PM - Andreas Kohlbecker

- Status changed from New to In Progress
#28 - 04/22/2020 08:16 PM - Andreas Kohlbecker
- Description updated

#29 - 04/22/2020 08:16 PM - Andreas Kohlbecker
- Description updated

#30 - 04/27/2020 11:46 AM - Andreas Kohlbecker

- Subject changed from webserivce to expose FieldUnits related to a Taxon TaxonName as KML and/or GML to webserivce to expose FieldUnits
related to a Taxon or TaxonName as KML and/or GML

#31 - 04/29/2020 09:34 AM - Andreas Kohlbecker
- Related to task #8985: Enable the general controller for OPTIONS requests added

#32 - 04/29/2020 01:18 PM - Andreas Kohlbecker
- Description updated

- % Done changed from 30 to 40

#33 - 04/29/2020 01:20 PM - Andreas Kohlbecker
- Description updated

#34 - 04/29/2020 01:56 PM - Andreas Kohlbecker
- Description updated

- % Done changed from 40 to 30

#35 - 04/29/2020 01:57 PM - Andreas Kohlbecker

- Description updated

#36 - 04/29/2020 03:27 PM - Andreas Kohlbecker

- Description updated

#37 - 04/29/2020 03:29 PM - Andreas Kohlbecker

- Description updated

#38 - 04/29/2020 04:38 PM - Andreas Miiller

- Subject changed from webserivce to expose FieldUnits related to a Taxon or TaxonName as KML and/or GML to webservice to expose FieldUnits
related to a Taxon or TaxonName as KML and/or GML

#39 - 05/04/2020 08:59 AM - Andreas Kohlbecker
- Description updated

#40 - 05/04/2020 11:50 AM - Andreas Kohlbecker
- Status changed from In Progress to Closed

- % Done changed from 30 to 100

ticket complete, | think reviewing by someone else is not needed, therefor | am closing this ticket directly.

#41 - 07/02/2020 10:34 AM - Andreas Kohlbecker
- Related to bug #9099: placemark icon in kml map not clickable added
